Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000053OpenIVopenFormatspublic2011-07-17 08:432011-07-20 21:06
ReporterHaCKer_UTD 
Assigned ToGooD-NTS 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7 (x32)OS Version6.1.7600
Product Version0.9.2 (build 250) 
Target Version0.9.3 (build 273)Fixed in Version0.9.3 (build 273) 
Summary0000053: Sometimes while export OpenIV make files with wrong names and path
DescriptionЕсли сохранить файл в OF в папку, состоящей из одного символа, то файлы окажутся не в этой папке, а на уровень выше и будут иметь в начале название этой папки.
Допустим папка 7. Получаются файлы 7feet_000_u.skel, 7feet_000_u_high.mesh, 7feet_000_u_high.odr
TagsNo tags attached.
GameGTA IV
Attached Files

- Relationships
has duplicate 0000054closedGooD-NTS Ошибка после экспортирования 

-  Notes
(0000029)
VcSaJen (reporter)
2011-07-17 08:57

Да, и причём если извлекаешь содержимое текстуры, то создаётся два файла на уровень выше: например, папка называется C:\Games\!test\a, в папке C:\Games\!test создаётся afradar100.otd и fradar100.png (png без "а" в начале, но всё равно создаётся на уровень выше).
(0000032)
GooD-NTS (administrator)
2011-07-20 21:06

Жесть короче, мой косяк и я его написал почти во всех местах где использовался выбор папки. Теперь всё пофикшено.

- Issue History
Date Modified Username Field Change
2011-07-17 08:43 HaCKer_UTD New Issue
2011-07-17 08:43 HaCKer_UTD Status new => assigned
2011-07-17 08:43 HaCKer_UTD Assigned To => GooD-NTS
2011-07-17 08:57 VcSaJen Note Added: 0000029
2011-07-17 09:17 GooD-NTS Target Version => 0.9.3 (build 273)
2011-07-17 18:45 GooD-NTS Summary Не правильный путь сохранения OF файлов в папку, состоящей из одного символа => Sometimes while export OpenIV make files with wrong names and path
2011-07-17 21:03 GooD-NTS Relationship added has duplicate 0000054
2011-07-20 21:06 GooD-NTS Note Added: 0000032
2011-07-20 21:06 GooD-NTS Status assigned => closed
2011-07-20 21:06 GooD-NTS Resolution open => fixed
2011-07-20 21:06 GooD-NTS Fixed in Version => 0.9.3 (build 273)
2015-02-22 18:12 GooD-NTS Category openFormats (global) => openFormats


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker